pragma solidity >=0.6.12;

// Author:	Louis Holbrook <dev@holbrook.no> 0826EDA1702D1E87C6E2875121D2E7BB88C2A746
// SPDX-License-Identifier:	GPL-3.0-or-later
// File-version: 1


abstract contract Faucet {
	uint256 public amount;
	address public token;

	event FaucetUsed(address indexed _recipient, address indexed _token, uint256 _value);
	event FaucetFail(address indexed _recipient, address indexed _token, uint256 _value);

	function setAmount(uint256 _amount) public virtual returns (bool);
	function giveTo(address _recipient) public virtual returns (bool);
}
